> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_ts_config.md).

# 53.59. pg\_ts\_config

## 53.59. pg\_ts\_config

The `pg_ts_config` catalog contains entries representing text search configurations. A configuration specifies a particular text search parser and a list of dictionaries to use for each of the parser's output token types. The parser is shown in the `pg_ts_config` entry, but the token-to-dictionary mapping is defined by subsidiary entries in [`pg_ts_config_map`](/15/internals/system-catalogs/pg_ts_config_map.md).

PostgreSQL's text search features are described at length in [Chapter 12](/15/the-sql-language/12.-quan-wen-jian-suo.md).

**Table 53.59. `pg_ts_config` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                                                   |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>oid</code> <code>oid</code></p><p>Row identifier</p>                                                                                                                                                                          |
| <p><code>cfgname</code> <code>name</code></p><p>Text search configuration name</p>                                                                                                                                                     |
| <p><code>cfgnamespace</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_namespace.md"><code>pg\_namespace</code></a>.<code>oid</code>)</p><p>The OID of the namespace that contains this configuration</p> |
| <p><code>cfgowner</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_authid.md"><code>pg\_authid</code></a>.<code>oid</code>)</p><p>Owner of the configuration</p>                                          |
| <p><code>cfgparser</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_ts_parser.md"><code>pg\_ts\_parser</code></a>.<code>oid</code>)</p><p>The OID of the text search parser for this configuration</p>    |

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_ts_config.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_ts_config.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
